/**
 Copyright © 2018 Visa. All rights reserved.
 */

import UIKit
import VisaCheckoutSDK

class ViewController: UIViewController {
    @IBOutlet weak var checkoutButton: VisaCheckoutButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let profile = Profile(environment: .sandbox, apiKey: "", profileName: nil)
        let amount = CurrencyAmount(double: 23.09)
        let purchaseInfo = PurchaseInfo(total: amount, currency: .usd)
        
        checkoutButton.onCheckout(profile: profile, purchaseInfo: purchaseInfo, presenting: self) { result in
            switch result.statusName {
            case kVisaCheckoutResultPaymentSuccess:
                print("success")
            case kVisaCheckoutResultPaymentCancel:
                print("canceled")
            case kVisaCheckoutResultPaymentError:
                print("error")
            default:
                print("default")
            }
        }
    }
}
